.heroBanner {
    height: 100vh;
    position: relative;
    overflow: hidden;
}

.heroSwiper,
.heroSwiper .swiper-slide {
    height: 100vh;
}

.heroSwiper {
    position: relative;
    overflow: visible !important;
}

.hero-slide {
    height: 100%;
    background-size: cover;
    background-position: center;
    position: relative;
}

/* overlay escuro */
.hero-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, .45);
    z-index: 1;
}

/* TEXTO */
.hero-content {
    position: absolute;
    top: 50%;
    left: 8%;
    transform: translateY(-50%);
    color: white;
    z-index: 2;
}

.hero-content .titulo-banner {
    color: #FFF;
    text-shadow: 0 3px 22.5px rgba(0, 0, 0, 0.37);
    font-size: 77px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin: 0 0 20px 0;
}

.hero-content span {
    color: #FFF;
}

.hero-content p {
    color: #FFF;
    font-size: 30px;
    font-style: normal;
    font-weight: 500;
    line-height: 42px;
    max-width: 840px;
}

#typing-text {
    visibility: hidden;
}

#typing-text::after {
    content: "|";
    margin-left: 4px;
    animation: blink 1s infinite;
}

.typing-text::after {
    content: "|";
    margin-left: 4px;
    animation: blink 1s infinite;
}

@keyframes blink {
    50% {
        opacity: 0;
    }
}

.container-pagination-hero {
    position: absolute;
    right: 5%;
    top: 0%;
    z-index: 10;
    width: 100px;
    height: 100%;

    article {
        position: relative;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }
}


.linha-pagination {
    position: absolute;
    width: 2px;
    height: 70%;
    background: #FFFFFF;
}

.hero-pagination {
    top: 0% !important;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: end;
    margin-bottom: 170px;
}

.hero-pagination .swiper-pagination-bullet {
    width: 24px;
    height: 24px;
    background: #262836;
    backdrop-filter: blur(2px);
    opacity: 1;
    margin: 3px 0 !important;
    position: relative;
    z-index: 2;
    transition: all .3s ease;
}

.hero-pagination .swiper-pagination-bullet-active {
    background: #fff;
}

.swiper-slide {
    transition: filter 1.2s ease;
}

.swiper-slide-active {
    filter: brightness(1);
}

.hero.swiper-slide-prev,
.hero.swiper-slide-next {
    animation: brightnessPass 2s ease forwards;
}

@keyframes brightnessPass {
    0% {
        filter: brightness(1);
    }

    100% {
        filter: brightness(0.45);
    }
}

.section-conheca-nossos-numeros {
    width: 100%;
    position: relative;
    overflow: hidden;

    div {
        position: relative;
        z-index: 1;
    }

    .numeros-contexto {
        margin-top: 100px;
    }
}

.mapa-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    display: flex;
    width: max-content;
    z-index: 0;
    pointer-events: none;
}

.mapa {
    height: 100%;
    width: auto;
    object-fit: cover;
}

.cards-conquistas {
    margin-top: 95px;
}

.card-conquista.first-card {
    background: #262836;
}

.cards-conquistas .card-conquista.first-card {
    width: 300px;
    height: 300px;
}

.cards-conquistas .card-conquista.first-card .desc-card {
    margin-bottom: 33.87px;
    padding: 0 13px;
}

.card-conquista {
    width: 254px;
    height: 254px;
    border-radius: 40px;
    background: #F7F7F7;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;

    img {
        width: 84.667px;
        height: 84.667px;
        margin: 25.4px 84.7px 28.7px 84.7px;
    }

    .numbers-card {
        color: #e40523;
        text-align: center;
        font-size: 26px;
        font-weight: 700;
        line-height: 28px;
        margin-bottom: 10px;
    }

    .desc-card {
        color: var(--white-color, #FAFAFA);
        text-align: center;
        font-size: 19px;
        font-weight: 700;
        line-height: 28px;
        margin-bottom: 33.87px;
    }
}

.section-conheca-nossos-numeros-carrossel {
    position: relative;
    z-index: 1;
    max-width: 85%;
    margin: 80px auto 0px auto;

    .card-conquista-2 {
        width: 300px;
        height: 300px;
        border-radius: 40px;
        background: #F7F7F7;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        align-items: center;

        img {
            width: 84.667px;
            height: 84.667px;
            margin: 25.4px 84.7px 28.7px 84.7px;
        }

        .numbers-card {
            color: #e40523;
            text-align: center;
            font-size: 26px;
            font-weight: 700;
            line-height: 28px;
            margin-bottom: 10px;
        }

        .desc-card {
            color: var(--white-color, #FAFAFA);
            text-align: center;
            font-size: 19px;
            font-weight: 700;
            line-height: 28px;
            margin-bottom: 33.87px;
            padding: 0 13px;

            span {
                font-size: 17px;
                font-style: normal;
                font-weight: 500;
                line-height: 28px;
            }
        }
    }

    .numeros-nav-1,
    .numeros-nav-2 {
        border-radius: 10px;
        border: 1px solid #FFF;
        background: #e40523;
        box-shadow: 0 3px 3px 0 rgba(0, 0, 0, 0.16);
        width: 81px;
        height: 45px;
        display: flex;
        justify-content: center;
        align-items: center;
        position: absolute;
        z-index: 999;
        top: 120px;
        transition: transform 0.3s ease, box-shadow 0.3s ease;
    }

    .numeros-nav-1 {
        left: -4%;

    }

    .numeros-nav-2 {
        right: -4%;
    }

    .numeros-nav-1:hover,
    .numeros-nav-2:hover {
        animation: pulseBtn 1s ease forwards;
    }
}

@keyframes pulseBtn {
    0% {
        transform: scale(1);
        box-shadow: 0 3px 3px rgba(0, 0, 0, 0.16);
    }

    100% {
        transform: scale(1.06);
        box-shadow: 0 8px 20px rgba(0, 0, 0, 0.20);
    }
}

.article-beneficios {
    position: relative;
    max-width: 100%;
    margin-top: 20px;

    .titulo-desc {
        width: min(92%, 1680px);
        margin: 0 auto;

        p {
            color: #FAFAFA;
            font-size: 57px;
            font-weight: 700;
            line-height: 72px;
            max-width: 1380px;

            span {
                color: #FFF;
            }
        }
    }

    .beneficiosSwiper {
        width: min(92%, 1680px);
        max-width: 1680px;
        margin-left: auto !important;
        margin-right: auto !important;
        z-index: 2;
    }

    .beneficiosSwiper,
    .beneficiosSwiperSecond,
    .beneficiosSwiperThird {
        position: relative;
        margin-top: 80px;
        width: min(92%, 1680px);
        max-width: 1680px;
        margin-left: auto;
        margin-right: auto;
        cursor: grab;

        .card-beneficio.first-card-third {
            position: relative;
            width: 100%;
            height: 334px;
            border-radius: 20px;
            border: 1px solid #E7E7E7;
            background: #FFF;
            padding: 50px;

            p {
                color: var(--Cor-Texto-Ttulo, #262836);
                font-size: 24px;
                font-weight: 700;
                line-height: normal;
            }

            a {
                position: absolute;
                bottom: 10%;
                color: #F2B900;
                font-size: 18px;
                font-weight: 600;
                line-height: 26px;
            }
        }

        .card-beneficio {
            position: relative;
            width: 100%;
            min-height: 334px;
            border-radius: 20px;
            border: 1px solid #E7E7E7;
            background: #FFF;
            padding: 50px;
            margin: 0;

            div {
                display: flex;
                justify-content: space-between;
                align-items: center;
                margin-bottom: 20px;

                .titulo-card-beneficio {
                    color: var(--Cor-Texto-Ttulo, #262836);
                    font-size: 24px;
                    font-weight: 700;
                    line-height: 22px;
                    margin: 0 !important;

                    span {
                        font-size: 14px;
                        font-weight: 400;
                    }
                }
            }

            p {
                color: var(--Cor-Texto-Ttulo, #262836);
                font-size: 17px;
                font-weight: 400;
                line-height: 26px;
                margin: 20px 0px !important;
            }

            a {
                position: absolute;
                bottom: 10%;
                color: var(--Cor-Texto-Ttulo, #262836);
                font-size: 18px;
                font-weight: 600;
                line-height: 26px;
            }
        }
    }
}

.bg-dark-red .article-beneficios .beneficiosSwiperThird {
    box-sizing: border-box;
    padding-right: 260px;
}

@media screen and (min-width: 992px) {
    .bg-dark-red .article-beneficios .beneficiosSwiperThird .swiper-slide {
        width: 535px !important;
    }
}

.btn-pagina {
    width: min(92%, 1680px);
    max-width: 1680px;
    margin: 0 auto;
    display: flex;
    justify-content: end;

    a {
        color: #262836;
        font-size: 17px;
        background-color: #FFF;
        padding: 14px 60px 14px 60px;
        font-weight: 800;
        border-radius: 10px;

        transition: background .5s ease, color .5s ease, border .5s ease;
    }

    a.color-red{
        color: #e40523;
    }

    a.color-orange{
        color: #EA5B0C;
    }

    a:hover {
        background: transparent;
        color: #FFF;
        border: 1px #FFF solid;
        font-weight: 800;
    }
}

.article-solucoes {
    position: relative;
    max-width: 85%;
    margin: 20px auto 0px auto;

    div {
        h2 {
            color: #262836;
            font-size: 57px;
            font-weight: 700;
            line-height: 72px;
            max-width: 1380px;

            span {
                color: #262836;
            }
        }
    }

    .solucoesSwiper {
        margin-top: 24px;

        .card-solucao {
            position: relative;
            max-width: 393px;
            height: 460px;
            border-radius: 30px;
            padding: 30px;
            display: flex;
            justify-content: center;

            img {
                position: absolute;
                width: 100%;
                height: 100%;
            }

            h3 {
                color: #FFF;
                text-align: center;
                font-size: 32px;
                font-weight: 700;
                line-height: normal;
                position: absolute;
                bottom: 0;
                margin: 0;
            }
        }
    }


}

.posicao-btns-1 {
    position: absolute;
    width: min(92%, 1680px);
    height: 45px;
    left: 50%;
    transform: translateX(-50%);
    top: 30%;
    z-index: 30;
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 8px;

    div {
        width: 81px !important;
        height: 45px;
    }
}

.posicao-btns-2 {
    position: relative;
    width: 100%;
    height: 45px;
    left: auto;
    transform: none;
    top: auto;
    margin-top: 24px;
    margin-bottom: 24px;
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 8px;

    div {
        width: 81px !important;
        height: 45px;
    }
}

.posicao-btns-1 .swiper-button-next,
.posicao-btns-1 .swiper-button-prev,
.posicao-btns-2 .swiper-button-next,
.posicao-btns-2 .swiper-button-prev {
    position: static !important;
    top: auto !important;
    left: auto !important;
    right: auto !important;
    margin: 0 !important;
    flex: 0 0 81px;
    z-index: 31 !important;
}

.posicao-btns-1 .swiper-button-prev,
.posicao-btns-2 .swiper-button-prev {
    order: 1;
}

.posicao-btns-1 .swiper-button-next,
.posicao-btns-2 .swiper-button-next {
    order: 2;
}

.section-consultoria {
    width: 100%;
    position: relative;
    overflow: hidden;

    div {
        position: relative;
        z-index: 1;
    }

    .consultoria-contexto {
        margin-top: 100px;

        div {
            div {
                h4 {
                    color: #262836;
                    text-align: center;
                    font-size: 48px;
                    font-weight: 700;
                    line-height: 54px;
                }
            }
        }
    }
}

.section-consultoria-carrossel {
    position: relative;
    z-index: 1;
    max-width: 85%;
    margin: 80px auto 0px auto;

    .card-consultoria {
        width: 85%;
        height: auto;
        border-radius: 40px;
        background: #FFF;
        box-shadow: 0 8px 24px 0 rgba(149, 157, 165, 0.20);
        margin: 0 auto;
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        align-items: start;
        justify-content: center;
        padding: 50px;
        gap: 47px;

        article:nth-of-type(1) {
            img {
                max-width: 320px;
            }

            p:nth-of-type(1) {
                color: #e40523;
                text-align: end;
                font-size: 18px;
                font-weight: 700;
                line-height: normal;
                margin: 20px 0 8px 0;
            }

            p {
                color: #262836;
                text-align: end;
                font-size: 15px;
                font-weight: 400;
                line-height: normal;
            }
        }

        .text-consultoria {
            p {
                color: #262836;
                font-size: 18px;
                font-weight: 400;
                line-height: 32px;

                .titulo {
                    font-size: 22px;
                    font-weight: 700;
                    line-height: 32px;
                }
            }
        }
    }

    .consultoria-nav-1,
    .consultoria-nav-2 {
        border-radius: 10px;
        border: 1px solid #FFF;
        background: var(--primary-color, #e40523);
        box-shadow: 0 3px 3px 0 rgba(0, 0, 0, 0.16);
        width: 81px;
        height: 45px;
        display: flex;
        justify-content: center;
        align-items: center;
        position: absolute;
        z-index: 999;
        top: 50%;
        transition: transform 0.3s ease, box-shadow 0.3s ease;
    }

    .consultoria-nav-1 {
        left: 1%;

    }

    .consultoria-nav-2 {
        right: 1%;
    }

    .consultoria-nav-1:hover,
    .consultoria-nav-2:hover {
        animation: pulseBtn 1s ease forwards;
    }
}

.section-faq {
    padding: 110px 0px !important;

    .container-faq {
        position: relative;
        max-width: 85%;
        margin: 0px auto 0px auto !important;
    }
}

.animacao-texto-vermelho {
    position: relative;
    display: inline-block;
}

.animacao-texto-vermelho::after {
    content: "|";
    margin-left: 4px;
    animation: blink 1s infinite;
    color: #FFF !important;
}

.animacao-texto-azul {
    position: relative;
    display: inline-block;
}

.animacao-texto-azul::after {
    content: "|";
    margin-left: 4px;
    animation: blink 1s infinite;
    color: #FFF !important;
}

.img-perguntas {
    border-radius: 40px;
}

@media screen and (min-width: 1785px) {

    .numeros-nav-1,
    .numeros-nav-2 {
        display: none !important;
    }
}

@media screen and (max-width: 1765px) {
    .section-consultoria-carrossel {
        .consultoria-nav-1 {
            left: -7%;
        }

        .consultoria-nav-2 {
            right: -7%;
        }
    }
}

@media screen and (max-width: 1628px) {}

@media screen and (max-width: 1450px) {
    .article-beneficios {
        & div {
            p {
                font-size: 50px;
            }
        }
    }

    .beneficiosSwiper {
        max-width: 100%;
    }

}

@media screen and (max-width: 1199px) {
    .card-conquista {
        width: 250px;
        height: 250px;

        img {
            width: 60px;
            height: 60px;
            margin: 17px 0 15px 0;
        }

        .numbers-card {
            font-size: 26px;
            line-height: 28px;
            margin-bottom: 10px;
        }

        .desc-card {
            font-size: 13px;
            line-height: 24px;
            margin: 0 10px 24px 10px;
        }
    }

    .cards-conquistas .card-conquista.first-card {
        width: 250px;
        height: 250px;
    }

    .cards-conquistas .card-conquista.first-card img {
        width: 60px;
        height: 60px;
        margin: 17px 0 15px 0;
    }

    .cards-conquistas .card-conquista.first-card .numbers-card {
        font-size: 26px;
        line-height: 28px;
        margin-bottom: 10px;
    }

    .cards-conquistas .card-conquista.first-card .desc-card {
        font-size: 19px;
        line-height: 28px;
        margin: 0 10px 24px 10px;
        padding: 0 13px;
    }

    .section-conheca-nossos-numeros-carrossel {
        .card-conquista-2 {
            width: 250px;
            height: 250px;

            img {
                width: 60px;
                height: 60px;
                margin: 17px 0 15px 0;
            }

            .desc-card {
                margin: 0 10px 24px 10px;
            }
        }

        .numeros-nav-1,
        .numeros-nav-2 {
            top: 260px;
        }

        .numeros-nav-1 {
            left: 0;
        }

        .numeros-nav-2 {
            right: 48%;
        }
    }

    .section-consultoria-carrossel {
        .card-consultoria {
            flex-direction: column;
            height: auto;
            align-items: center;
            width: 90%;
        }
    }

    .posicao-btns-1 {
        top: 95%;
    }

    .btn-pagina {
        justify-content: start;
    }
}

@media screen and (max-width: 991px) {

    /* Páginação - Responsivo */
    .hero-pagination {
        top: auto !important;
        flex-direction: row !important;
        margin-bottom: 90px;
        justify-content: center;
    }

    .container-pagination-hero {
        width: 100%;
        right: 0;
        display: flex;
        justify-content: center;

        article {
            width: 50%;
        }
    }

    .hero-pagination .swiper-pagination-bullet {
        width: 14px;
        height: 14px;
        margin: 0 4px !important;
    }

    .hero-content {
        margin: 0 5% 0 0;
    }

    .bg-dark-red .article-beneficios .beneficiosSwiperThird {
        padding-right: 0;
    }

    /* Fontes */
    .hero-content .titulo-banner {
        font-size: 60px;
    }

    .hero-content p {
        font-size: 25px;
    }

    /* Números - Responsivo */
    .numeros-contexto {
        div {
            div:nth-of-type(1) {
                img {
                    width: 270px;
                }
            }
        }
    }

    /*Cards conquistas */
    .cards-conquistas {
        div {
            div {
                display: flex;
                justify-content: center;
                margin-bottom: 13px;
            }
        }
    }

    .card-conquista {
        width: 174px;
        height: 174px;

        img {
            width: 40px;
            height: 40px;
            margin: 17px 0 15px 0;
        }

        .numbers-card {
            display: inline-block;
            font-size: 22px;
            line-height: 28px;
            margin: 0 9px 5px 9px;
        }

        .desc-card {
            font-size: 13px;
            line-height: 22px;
            margin-bottom: 24px;
        }
    }
}

@media screen and (max-width: 620px) {
    .section-conheca-nossos-numeros-carrossel {
        max-width: 92%;
        padding-bottom: 80px;

        .swiper-slide {
            display: flex;
            justify-content: center;
        }

        .card-conquista-2 {
            margin: 0 auto;
        }

        .numeros-nav-1,
        .numeros-nav-2 {
            top: auto;
            bottom: 16px;
            left: auto;
        }

        .numeros-nav-2 {
            left: calc(50% + 4px);
            right: auto;
        }

        .numeros-nav-1 {
            left: calc(50% - 85px);
            right: auto;
        }
    }

    .article-beneficios {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-areas:
            "title"
            "arrows"
            "swiper"
            "btn";
        row-gap: 10px;

        div:nth-of-type(1) {
            p {
                font-size: 32px;
                line-height: 42px;
            }
        }

        .titulo-desc {
            grid-area: title;
        }

        .posicao-btns-1 {
            grid-area: arrows;
        }

        .beneficiosSwiper,
        .beneficiosSwiperSecond,
        .beneficiosSwiperThird {
            grid-area: swiper;
            margin-top: 0;
            padding-bottom: 0 !important;
        }

        .btn-pagina {
            grid-area: btn;
        }

        .beneficiosSwiper,
        .beneficiosSwiperSecond,
        .beneficiosSwiperThird {
            margin-left: 0% !important;
            padding-right: 0;
            overflow: hidden;

            .swiper-slide {
                flex: 0 0 100% !important;
                width: 100% !important;
                max-width: 100% !important;
                display: flex;
                justify-content: center;
            }

            .card-beneficio {
                width: 337px;
                max-width: 337px;
                min-height: 0;
                height: auto;
                margin: 0 auto;
            }
        }
    }

    .article-beneficios {

        .beneficiosSwiper,
        .beneficiosSwiperSecond,
        .beneficiosSwiperThird {
            .card-beneficio {
                padding: 30px;

                div {
                    align-items: start;

                    h2 {
                        font-size: 20px;
                    }

                    img {
                        width: 57px;
                    }
                }

                p {
                    font-size: 15px;
                    line-height: 26px;
                }

                hr {
                    margin: 20px 0px;
                }
            }

            .card-beneficio.second-card {
                max-width: 337px;
                min-height: 0;
                height: auto;
            }

            .card-beneficio.third-card {
                max-width: 337px;
                min-height: 0;
                height: auto;

                .logo-cotai {
                    width: 147px;
                }
            }
        }

        .beneficiosSwiper {
            max-width: 100%;
        }
    }

    .article-solucoes {
        position: relative;
        max-width: 85%;
        margin: 20px auto 0px auto;

        .solucoesSwiper {
            margin-top: 20px;

            .card-solucao {
                width: 337px;
                height: 394px;
                padding: 30px;
            }
        }

        div {
            h2 {
                font-size: 32px;
                line-height: 42px;
            }
        }
    }

    .posicao-btns-1 {
        position: relative;
        top: auto;
        width: min(92%, 460px);
        left: auto;
        transform: none;
        margin: 0 auto 8px auto;
        justify-content: end;
    }

    .btn-pagina {
        justify-content: end;
        margin-top: 4px;
    }

    .section-consultoria-carrossel {

        .consultoria-nav-1,
        .consultoria-nav-2 {
            top: auto;
            bottom: 0;
        }

        .consultoria-nav-2 {
            right: 5%;
        }

        .consultoria-nav-1 {
            left: 5%;
        }
    }
}

@media screen and (max-width: 576px) {
    .btn-pagina {
        z-index: 99;
        position: static;
        bottom: auto;
        left: auto;
        justify-content: end;
        margin-top: 12px;
        
        a{
            padding: 14px 40px 14px 40px;
        }
    }
}

@media screen and (max-width: 567px) {

    /* Fontes */
    .hero-content .titulo-banner {
        font-size: 37px;
    }

    .hero-content p {
        font-size: 16px;
        line-height: 24px;
    }

    /* Carrossel banners */
    .swiper-slide:nth-of-type(1) .hero-slide {
        background-image: url(../assets/images/banner/banner-1-mobile.png) !important;
    }

    .swiper-slide:nth-of-type(2) .hero-slide {
        background-image: url(../assets/images/banner/banner-2-mobile.png) !important;
    }


    .swiper-slide:nth-of-type(3) .hero-slide {
        background-image: url(../assets/images/banner/banner-3-mobile.png) !important;
    }


    .swiper-slide:nth-of-type(4) .hero-slide {
        background-image: url(../assets/images/banner/banner-4-mobile.png) !important;
    }

    /* Números - Responsivo */
    .numeros-contexto {
        div {
            div:nth-of-type(1) {
                img {
                    width: 270px;
                }
            }

            div:nth-of-type(2) {
                p:nth-of-type(1) {
                    font-size: 32px;
                    line-height: 42px;
                }

                p:nth-of-type(2) {
                    font-size: 24px;
                }
            }
        }
    }

    .section-consultoria {
        .consultoria-contexto {
            div {
                div {
                    p {
                        color: #262836;
                        font-size: 18px;
                        font-weight: 400;
                        line-height: 32px;
                    }
                }
            }
        }
    }

    .section-consultoria-carrossel {
        max-width: 100%;

        .card-consultoria {
            padding: 40px;
            width: 90%;

            article:nth-of-type(1) {
                img {
                    max-width: 100%;
                }
            }

            article:nth-of-type(2) {
                p {
                    .titulo {
                        font-size: 18px;
                        line-height: 32px;
                    }
                }
            }
        }
    }
}
